Subject: Re: [PATCH 3/4] myri10ge - Driver core

From: Jeff Garzik <[email-masked]>
Date: Fri, 26 May 2006 06:30:59 -0400

Benjamin Herrenschmidt wrote:
>>> No proper interface exposed, he'll have to do an #ifdef powerpc here or
>>> such and use __ioremap with explicit page attributes. I have a hack to
>>> do that automatically for memory covered by prefetchable PCI BARs when
>>> mmap'ing from userland but not for kernel ioremap.
>> Stupid question: pci_iomap() is NOT what you are looking for, right?
>>
>> Implementation is at the end of lib/iomap.c
> 
> No, there is no difference there, pci_iomap won't help for passing in
> platform specific page attributes for things like write combining.

Since we already have ioremap_nocache(), maybe adding ioremap_wcomb() is 
appropriate?

	Jeff